Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Path Parameters

asset
string
required

Asset name.

block_hash
string
required

Block hash.

Query Parameters

include_sub_accounts
boolean
default:false

Boolean indicating if the response should contain sub-accounts.
This parameter is disabled for Community users.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

ignore_unsupported_errors
boolean
default:false

Ignore "unsupported" errors for not currently supported by Coin Metrics items.

Response

Blockchain full block.

Blockchain full block response.

block_hash
string
required

Hash of the block.

height
string<int64>
required

Height of the block.

consensus_time
string<date-time>
required

The time in ISO 8601 date-time format. Always with nanoseconds precision.

miner_time
string<date-time>
required

The time in ISO 8601 date-time format. Always with nanoseconds precision.

n_transactions
string<int64>
required

Number of transactions.

n_balance_updates
string<int64>
required

Number of balance updates.

parent_block_hash
string

Hash of the block.

nonce
string

Nonce of the block, hex-encoded.

extra_data
string

Extra data of the block, hex-encoded.

version
string

Version of the block.

difficulty
string<decimal>

Difficulty of the block.

physical_size
string<int64>

Physical size of the block, bytes.

consensus_size
string<int64>

Consensus size of the block.

consensus_size_limit
string<int64>

Consensus size limit of the block.

stale
string

This field is set to true if the corresponding block is stale. Otherwise omitted.

transactions
object[]
balance_updates
object[]